import { MigrationInterface, QueryRunner } from "typeorm";

export class UpdateTablePosAddIsSpecial11708423721800 implements MigrationInterface {
    name = 'UpdateTablePosAddIsSpecial11708423721800'

    public async up(queryRunner: QueryRunner): Promise<void> {
        await queryRunner.query(`ALTER TABLE \`posDict\` CHANGE \`isSpacial\` \`isSpecial\` tinyint NOT NULL COMMENT 'ฉ' DEFAULT '0'`);
        await queryRunner.query(`ALTER TABLE \`position\` CHANGE \`isSpacial\` \`isSpecial\` tinyint NOT NULL COMMENT 'ฉ' DEFAULT '0'`);
    }

    public async down(queryRunner: QueryRunner): Promise<void> {
        await queryRunner.query(`ALTER TABLE \`position\` CHANGE \`isSpecial\` \`isSpacial\` tinyint NOT NULL COMMENT 'ฉ' DEFAULT '0'`);
        await queryRunner.query(`ALTER TABLE \`posDict\` CHANGE \`isSpecial\` \`isSpacial\` tinyint NOT NULL COMMENT 'ฉ' DEFAULT '0'`);
    }

}
